Bug 247062 - Initscript Review (spamass-milter)
Summary: Initscript Review (spamass-milter)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: spamass-milter (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords: Tracking
Depends On: 247061
Blocks: InitscriptStatus
TreeView+ depends on / blocked
 
Reported: 2007-07-05 13:59 UTC by Harald Hoyer
Modified: 2008-12-17 09:40 UTC (History)
1 user (show)

Fixed In Version: 0.3.1-5.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-17 09:40:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Harald Hoyer 2007-07-05 13:59:27 UTC
Please have a look at the wikipage 
http://fedoraproject.org/wiki/FCNewInit/Initscripts
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.

Comment 1 Paul Howarth 2007-10-16 17:43:28 UTC
spamass-milter-0.3.1-5.fc8 should be LSB-compliant.

I'll leave this ticket open though because the initscript expects spamassassin
to be running and hence has:

# Should-Start: spamd spamassassin
# Should-Stop: spamd spamassassin

I've used both "spamd" and "spamassassin" because spamassassin itself does not
yet have an LSB-compliant initscript and hence I don't know the feature name
that it will eventually provide is. The two names I've used seem reasonable
guesses and I'll remove whichever one is eventually not necessary at a later date.

Comment 2 Bug Zapper 2008-04-04 13:16:31 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 3 Paul Howarth 2008-04-04 13:44:14 UTC
Still waiting on dependent spamassassin initscript update (Bug 247061)

Comment 4 Paul Howarth 2008-12-17 09:40:15 UTC
Given that there doesn't seem to be any prospect of spamassassin adding LSB headers to its initscript any time soon (Bug #247061 is closed now), there's no point holding this bug open any more.


Note You need to log in before you can comment on or make changes to this bug.